Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class EvalTextArea

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.text.JTextComponent
                              |
                              +--javax.swing.JTextArea
                                    |
                                    +--ru.biosoft.plugins.javascript.EvalTextArea

public class EvalTextArea
extends JTextArea
implements DocumentListener, KeyListener

Inner classes inherited from class javax.swing.JTextArea
`JTextArea.AccessibleJTextArea`

Inner classes inherited from class javax.swing.text.JTextComponent
`JTextComponent.AccessibleJTextComponent, JTextComponent.KeyBinding`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Fields inherited from class javax.swing.text.JTextComponent
`FOCUS_ACCELERATOR_KEY, DEFAULT_KEYMAP`

Fields inherited from class javax.swing.JComponent
`WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`EvalTextArea()`

Method Summary
`synchronized void` | `changedUpdate(DocumentEvent e)`
`static String` | `evaluateString(String str)`
`synchronized void` | `insertUpdate(DocumentEvent e)`
`void` | `keyPressed(KeyEvent e)`
`synchronized void` | `keyReleased(KeyEvent e)`
`void` | `keyTyped(KeyEvent e)`
`synchronized void` | `postUpdateUI()`
`synchronized void` | `removeUpdate(DocumentEvent e)`
`void` | `select(int start, int end)`
`synchronized void` | `write(String str)`

Methods inherited from class javax.swing.JTextArea
`getUIClassID, setTabSize, getTabSize, setLineWrap, getLineWrap, setWrapStyleWord, getWrapStyleWord, getLineOfOffset, getLineCount, getLineStartOffset, getLineEndOffset, insert, append, replaceRange, isManagingFocus, getRows, setRows, getColumns, setColumns, getPreferredSize, setFont, getScrollableTracksViewportWidth, getPreferredScrollableViewportSize, getScrollableUnitIncrement, getAccessibleContext`

Methods inherited from class javax.swing.text.JTextComponent
`getUI, setUI, updateUI, addCaretListener, removeCaretListener, setDocument, getDocument, getActions, setMargin, getMargin, getCaret, setCaret, getHighlighter, setHighlighter, setKeymap, getKeymap, addKeymap, removeKeymap, getKeymap, loadKeymap, getCaretColor, setCaretColor, getSelectionColor, setSelectionColor, getSelectedTextColor, setSelectedTextColor, getDisabledTextColor, setDisabledTextColor, replaceSelection, getText, modelToView, viewToModel, cut, copy, paste, moveCaretPosition, setFocusAccelerator, getFocusAccelerator, read, write, removeNotify, isFocusTraversable, setCaretPosition, getCaretPosition, setText, getText, getSelectedText, isEditable, setEditable, getSelectionStart, setSelectionStart, getSelectionEnd, setSelectionEnd, selectAll, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getInputMethodRequests, addInputMethodListener`

Methods inherited from class javax.swing.JComponent
`update, paint, printAll, print, isPaintingTile, isFocusCycleRoot, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, requestFocus, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, isMinimumSizeSet, isPreferredSizeSet, isMaximumSizeSet, contains, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, requestDefaultFocus, setVisible, hide, setEnabled, setForeground, setBackground, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, enable, disable, getClientProperty, putClientProperty, isLightweightComponent, reshape, getBounds, getSize, getLocation, getX, getY, getWidth, getHeight, hasFocus, isOpaque, setOpaque, computeVisibleRect, getVisibleRect, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener, addVetoableChangeListener, removeVetoableChangeListener, getTopLevelAncestor, addAncestorListener, removeAncestorListener, getListeners, addNotify, repaint, repaint, revalidate, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, insets, add, add, add, add, add, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, preferredSize, minimumSize, paintComponents, printComponents, addContainerListener, removeContainerListener, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, enable, enableInputMethods, show, show, getForeground, getBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, isLightweight, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addFocusListener, removeFocusListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, removeInputMethodListener, getInputContext, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, transferFocus, nextFocus, add, remove, toString, list, list, list, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvalTextArea

    public EvalTextArea()

Method Detail

### changedUpdate

    public synchronized void changedUpdate(DocumentEvent e)

### evaluateString

    public static String evaluateString(String str)

### insertUpdate

    public synchronized void insertUpdate(DocumentEvent e)

### keyPressed

    public void keyPressed(KeyEvent e)

### keyReleased

    public synchronized void keyReleased(KeyEvent e)

### keyTyped

    public void keyTyped(KeyEvent e)

### postUpdateUI

    public synchronized void postUpdateUI()

### removeUpdate

    public synchronized void removeUpdate(DocumentEvent e)

### select

    public void select(int start, int end)

### write

    public synchronized void write(String str)

Association Links

to Class java.util.Vector

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM